summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Yth - Arnaud2021-03-06 04:28:26 +0100
committer Willy Sudiarto Raharjo2021-03-06 05:11:56 +0100
commit5521cd920d83cbb58fab4bddde1394fa3bec5e39 (patch)
treeee19414164eafd9359041635baf3d2ffa16174be
parentb7fd1ff016e354181680d9f7caf82ad865fde53d (diff)
downloadslackbuilds-5521cd920d83cbb58fab4bddde1394fa3bec5e39.tar.gz
libraries/dumb: Added (Dynamic Universal Music Bibliotheque)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--libraries/dumb/README4
-rw-r--r--libraries/dumb/dumb.SlackBuild95
-rw-r--r--libraries/dumb/dumb.info10
-rw-r--r--libraries/dumb/slack-desc19
4 files changed, 128 insertions, 0 deletions
diff --git a/libraries/dumb/README b/libraries/dumb/README
new file mode 100644
index 0000000000..13b06f4789
--- /dev/null
+++ b/libraries/dumb/README
@@ -0,0 +1,4 @@
+DUMB is a module audio renderer library.
+
+It reads module files and outputs audio that can be dumped to the actual
+audio playback library.
diff --git a/libraries/dumb/dumb.SlackBuild b/libraries/dumb/dumb.SlackBuild
new file mode 100644
index 0000000000..90bd4890dd
--- /dev/null
+++ b/libraries/dumb/dumb.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for dumb
+
+# Yth | Pont-en-Royans, France | yth@ythogtha.org
+# All rights reserved.
+#
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=dumb
+VERSION=${VERSION:-2.0.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+rm -rf $TMP/$PRGNAM-$VERSION
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-${VERSION}.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ cmake \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DBUILD_SHARED_LIBS:BOOL=OFF \
+ -DBUILD_ALLEGRO4:BOOL=ON \
+ -DCMAKE_BUILD_TYPE=Release ..
+
+make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.md LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/dumb/dumb.info b/libraries/dumb/dumb.info
new file mode 100644
index 0000000000..54eda094ce
--- /dev/null
+++ b/libraries/dumb/dumb.info
@@ -0,0 +1,10 @@
+PRGNAM="dumb"
+VERSION="2.0.3"
+HOMEPAGE="https://github.com/kode54/dumb"
+DOWNLOAD="https://github.com/kode54/dumb/archive/2.0.3/dumb-2.0.3.tar.gz"
+MD5SUM="367fe8a04a7d102ed57810c757694403"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="allegro4 argtable SDL2"
+MAINTAINER="Yth - Arnaud"
+EMAIL="yth@ythogtha.org"
diff --git a/libraries/dumb/slack-desc b/libraries/dumb/slack-desc
new file mode 100644
index 0000000000..a57d4b6839
--- /dev/null
+++ b/libraries/dumb/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+dumb: dumb (Dynamic Universal Music Bibliotheque)
+dumb:
+dumb: DUMB is a module audio renderer library.
+dumb:
+dumb: It reads module files and outputs audio that can be dumped to the
+dumb: actual audio playback library.
+dumb:
+dumb:
+dumb:
+dumb:
+dumb: